
tfvars :
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/secrets.tfvars ./secrets.tfvars || touch ./secrets.tfvars
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/remote.state.tf ./remote.state.tf || touch ./remote.state.tf

tf_plan :
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/secrets.tfvars ./secrets.tfvars || touch ./secrets.tfvars
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/remote.state.tf ./remote.state.tf || touch ./remote.state.tf
	terraform init -reconfigure
	terraform plan -var-file="./secrets.tfvars" -input=false

tf_apply :
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/secrets.tfvars ./secrets.tfvars || touch ./secrets.tfvars
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/remote.state.tf ./remote.state.tf || touch ./remote.state.tf
	terraform init -reconfigure
	terraform fmt -check=true -diff=true
	terraform apply -var-file="./secrets.tfvars" -auto-approve -input=false
	rm secrets.tfvars remote.state.tf

tf_destroy :
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/secrets.tfvars ./secrets.tfvars || touch ./secrets.tfvars
	aws s3 cp s3://$(bucket)/tfvars/$(env)/storage/remote.state.tf ./remote.state.tf || touch ./remote.state.tf
	terraform init -reconfigure
	terraform destroy -var-file="./secrets.tfvars" -auto-approve -input=false
